%global commit 4837e29715af9ebf7cb5d764b67bfc0890b76089
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           numptyphysics
# Last known version number
Version:        0.4
Release:        0.6.20140108git%{shortcommit}%{?dist}
Summary:        A crayon-drawing based physics puzzle game 

Group:          Amusements/Games
License:        GPLv3+
URL:            http://thp.io/2015/numptyphysics/
Source0:        https://github.com/thp/numptyphysics/archive/%{commit}/%{name}-%{commit}.tar.gz
# https://github.com/thp/numptyphysics/pull/6
Patch0:         0001-sdl2-look-for-libGL.so.1-in-the-correct-directory.patch
# https://github.com/thp/numptyphysics/pull/7
Patch1:         0001-glaserl-fix-build.patch
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme
Provides:       bundled(Box2D) = 2.0.1

%description
Harness gravity with your crayon and set about creating blocks, ramps,
levers, pulleys and whatever else you fancy to get the little red thing to
the little yellow thing.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1 -b .opengl
%patch1 -p1 -b .cflags


%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/numptyphysics.desktop


%files
%{_bindir}/numptyphysics
%{_datadir}/numptyphysics
%{_datadir}/applications/numptyphysics.desktop
%{_datadir}/icons/hicolor/256x256/apps/numptyphysics.png
%{_mandir}/man6/numptyphysics.6*


%changelog
* Fri Feb 20 2015 Lubomir Rintel <lkundrak@v3.sk> - 0.4-0.6.20140108git4837e29
- Update. New upstream.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.6.20120726gita22cde2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.5.20120726gita22cde2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.4.20120726gita22cde2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.4-0.3.20120726gita22cde2
- Drop desktop vendor tag.

* Thu Jul 26 2012 Adam Williamson <awilliam@redhat.com> - 0.4-0.2.20120726gita22cde2
- correct the NEVR per the guidelines

* Thu Jul 26 2012 Jonathan Dieter <jdieter@lesbg.com> - 0.4-0.1.git.20120726.a22cde2
- Update to latest git
- Remove upstreamed patches
- Add patches to fix build problems
- Fixup whitespace and preserve changelog. - Jon Ciesla <limburgher@gmail.com>
- Added SDL_devel, vim-common, zlib-devel BuildRequires. - JC

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.9.20080925svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.8.20080925svn
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.7.20080925svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.6.20080925svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.5.20080925svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.4.20080925svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 30 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.4.20080925svn
- Add more levels

* Mon Sep 29 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.2.20080925svn
- Review, small tidy-ups

* Thu Sep 25 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.1.20080925svn
- Initial packaging attempt
